View Issue Details

IDProjectCategoryView StatusLast Update
0003633SymmetricDS ProBugpublic2019-05-28 13:51
ReportermmichalekAssigned Tojaredfrees 
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.9.0 
Target Version3.10.3Fixed in Version3.10.3 
Summary0003633: MSSQL Server Pro Validation Query Fails with a hyphen in the DB Name
DescriptionHere is a database named: dbHMI-prod. Notice the message: Incorrect syntax near '-'.

2018-07-17 15:27:06,232 WARN [corp-000] [MsSqlDdlReader] [qtp1777443462-16] Failed to determine auto increment columns using this query: 'SELECT t.TEST_ID,t.TEST_VALUE FROM db-prod.dbo.SYM_PERMISSION_TEST t WHERE 1 = 0'. This is probably not harmful, but should be fixed.
Table [name=SYM_PERMISSION_TEST; 2 columns]
Column [name=TEST_ID; jdbcType=int; mappedType=INTEGER]
Column [name=TEST_VALUE; jdbcType=int; mappedType=INTEGER] (org.jumpmind.db.platform.AbstractJdbcDdlReader.determineAutoIncrementFromResultSetMetaData(AbstractJdbcDdlReader.java:1308))
com.microsoft.sqlserver.jdbc.SQLServerException: Incorrect syntax near '-'.
    at com.microsoft.sqlserver.jdbc.SQLServerException.makeFromDatabaseError(SQLServerException.java:216)
    at com.microsoft.sqlserver.jdbc.SQLServerStatement.getNextResult(SQLServerStatement.java:1515)
    at com.microsoft.sqlserver.jdbc.SQLServerStatement.doExecuteStatement(SQLServerStatement.java:792)
    at com.microsoft.sqlserver.jdbc.SQLServerStatement$StmtExecCmd.doExecute(SQLServerStatement.java:689)
    at com.microsoft.sqlserver.jdbc.TDSCommand.execute(IOBuffer.java:5696)
    at com.microsoft.sqlserver.jdbc.SQLServerConnection.executeCommand(SQLServerConnection.java:1715)
    at com.microsoft.sqlserver.jdbc.SQLServerStatement.executeCommand(SQLServerStatement.java:180)
    at com.microsoft.sqlserver.jdbc.SQLServerStatement.executeStatement(SQLServerStatement.java:155)
    at com.microsoft.sqlserver.jdbc.SQLServerStatement.executeQuery(SQLServerStatement.java:616)
    at org.apache.commons.dbcp.DelegatingStatement.executeQuery(DelegatingStatement.java:208)
TagsNo tags attached.

Relationships

related to 0003976 resolvedjaredfrees ASE dialect fails to determine auto increment columns with special character in table name 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2018-07-17 15:31 mmichalek New Issue
2018-07-17 15:31 mmichalek Project SymmetricDS => SymmetricDS Pro
2018-10-10 14:06 hanes Target Version => 3.10.0
2018-10-17 14:37 hanes Status new => acknowledged
2019-05-08 08:41 admin Target Version 3.10.0 => 3.10.3
2019-05-28 13:40 jaredfrees Relationship added related to 0003976
2019-05-28 13:51 jaredfrees Assigned To => jaredfrees
2019-05-28 13:51 jaredfrees Status acknowledged => resolved
2019-05-28 13:51 jaredfrees Resolution open => fixed
2019-05-28 13:51 jaredfrees Fixed in Version => 3.10.3